Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mirror.util
Interface SourcePosition

    public interface SourcePosition

Represents a position in a source file.

Since:
  1.5

Method Summary
`int` | `column()` Returns the column number of this position.
`File` | `file()` Returns the source file containing this position.
`int` | `line()` Returns the line number of this position.

Method Detail

### file

    File file()

  Returns the source file containing this position.

  Returns:
    the source file containing this position; never null

### line

    int line()

  Returns the line number of this position. Lines are numbered starting with 1.

  Returns:
    the line number of this position, or 0 if the line number is unknown or not applicable

### column

    int column()

  Returns the column number of this position. Columns are numbered starting with 1.

  Returns:
    the column number of this position, or 0 if the column number is unknown or not applicable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Mirror API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Report a bug or request a feature.
Copyright 2004 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.